Name:          minlog
Version:       1.3.0
Release:       8
Summary:       Minimal overhead Java logging
License:       BSD
URL:           https://github.com/EsotericSoftware/minlog
Source0:       https://github.com/EsotericSoftware/minlog/archive/minlog-%{version}.tar.gz
BuildRequires: maven-local mvn(junit:junit) mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)
BuildArch:     noarch
Obsoletes:     minlog-javadoc < %{version}-%{release}
Provides:      minlog-javadoc = %{version}-%{release}

%description
MinLog is a Java logging library.

%prep
%setup -q -n minlog-minlog-%{version}
find -name "*.class" -delete
find -name "*.jar" -delete
%pom_remove_plugin :maven-source-plugin
%pom_xpath_remove "pom:plugin[pom:artifactId = 'maven-javadoc-plugin' ]/pom:executions"
%mvn_file :minlog minlog
%mvn_alias :minlog "com.googlecode:minlog" "com.esotericsoftware.minlog:minlog"
%mvn_package ":minlog::tests:"

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%attr(0644,root,root) %{_datadir}/maven-metadata/minlog.xml
%attr(0644,root,root) %{_datadir}/java/minlog.jar
%attr(0644,root,root) %{_datadir}/maven-poms/minlog.pom
%attr(0644,root,root) %{_datadir}/java/minlog-tests.jar
%doc README.md
%license license.txt
%{_javadocdir}/%{name}

%changelog
* Sat Dec 7 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.3.0-8
- Package init
